package za.org.treehouse.hypoalarm;

import android.app.AlarmManager;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.widget.Toast;

public class CancelGraceReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        // Cancel notification if it's not already cancelled.
        NotificationManager nm = (NotificationManager) context.getSystemService(Context.NOTIFICATION_SERVICE);
        nm.cancel(AlarmNotify.notifyID);

        AlarmManager graceManager = (AlarmManager) context.getSystemService(Context.ALARM_SERVICE);
        Intent graceIntent = new Intent(context, GraceReceiver.class);
        PendingIntent gracePendingIntent = PendingIntent.getBroadcast(context, MainActivity.GRACE_REQUEST, graceIntent, 0);
        graceManager.cancel(gracePendingIntent);
        Log.d("CancelGraceReceiver", "Cancelled grace alarm");

        // Display toast
        Toast.makeText(context, context.getString(R.string.alarmCancelToast), Toast.LENGTH_LONG).show();

        // Remove notification
        context.stopService(new Intent(context, AlarmNotify.class));
    }
}